# Clear App Data on Logout

### **Overview**

The BlueFletch Launcher offers robust security controls at both device and user levels by implementing configurable logout events to safeguard sensitive information. Through its Clear App Data on Logout feature, it automatically clears application data once a user logs out of a device, regardless of the applications used. This applies to all apps, whether opened during the session or not, or to a specified subset of apps on the device. It also includes removing cookies, destroying session tokens, and clearing cached files or running apps outside the authentication module. This multi-layered protection ensures data security and optimal performance on shared or multi-user devices, promoting peace of mind for the mobile workforce.

### **User Guide**

The clearAppDataOnLogout setting enables the capability to automatically erase user data when a user logs out of a device. It is disabled by default.

* It removes application data or user preferences generated or created during the user's session.
* It deletes sensitive information such as login credentials, browsing history, cached files, access tokens, and session identifiers.
* It clears all apps with logins separate from the Auth module.

The clearAppDataIncludeList setting allows the admin to specify a list of applications whose data gets cleared explicitly upon logout, whether it was used or not during a user session.

* Application Data are cleared automatically upon logout even if they weren't actively used during the session.
* It targets specific apps for automatic data erasure on logout whether they were opened or not.
* This is also applicable for specific apps that run in the background or not directly accessed from the Launcher home screen.

The clearAppDataExcludeList setting allows the admin to specify a list of applications to be excluded from the app data clearing process, resulting in app data retention even after logout.

* It ensures essential app-specific settings and configurations persist after logout, preventing accidental deletion.
* It works in conjunction with clearAppDataOnLogout to control which apps are exempt from data clearing.
* It maintains recent task removal for excluded apps unless explicitly overridden by clearRecentExcludeList.

{% hint style="info" %}
Downloaded files are not automatically deleted during the default file removal process. For more information on how to explicitly remove downloaded files, refer to the Delete Files and Clear Cache sections of the Custom Intents Platform Actions page.
{% endhint %}

### **Configuration**

#### **Clear App Data on Logout**

This setting must be set to true to enable the clearing of app data on logout. When enabled, it will clear app data for all applications that were launched by the user during the session.

```json
"settings": {
  …
  "clearAppDataOnLogout": true
}
```

#### App Data Inclusion List

If clearAppDataOnLogout is set to true, this list specifies additional app packages that should be cleared, even if they were not launched during the session.

```json
"settings": {
  …
  "clearAppDataOnLogout": true,
  "clearAppDataIncludeList": “com.android.chrome”
}
```

#### **App Data Exclusion List**

If clearAppDataOnLogout is set to true, this list specifies app packages that should be excluded from the app data clearing process. These packages will retain their app data even when the user logs out.

```json
"settings": {
  …
  "clearAppDataOnLogout": true,
  "clearAppDataExcludeList": “com.bluefletch.emm.epm”
}
```

If clearAppDataOnLogout is set to false, the clearAppDataIncludeList and clearAppDataExcludeList settings are ignored. No app data will be cleared on logout.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/security-and-safety/clear-app-data-on-logout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
